import { $postParam, $post } from "@/plugins/axios";

export const examStructureFindJpg = (datas) => {
  return $postParam("/api/admin/exam/card/find_jpg_file", datas);
};
// mark-entrance
export const markTaskListPage = (datas) => {
  return $postParam("/api/admin/mark/entrance/list", datas);
};

// mark-setting --------->
export const markSettingListPage = (datas) => {
  return $postParam("/api/admin/mark/setting/list", datas);
};
export const markSettingDetail = (datas) => {
  return $postParam("/api/admin/mark/setting/paper/get", datas);
};
export const markSettingSave = (datas) => {
  return $post("/api/admin/mark/setting/paper/save", datas);
};
export const markSettingBatchSave = (datas) => {
  return $post("/api/admin/mark/setting/paper/batch_save", datas);
};
// mark-params --------->
// structure
export const markStructureList = (datas) => {
  return $postParam("/api/admin/mark/question/list", datas);
};
export const markStructureSave = (datas) => {
  return $post("/api/admin/mark/question/save", datas);
};
// group
export const markGroupList = (datas) => {
  return $postParam("/api/admin/mark/group/list", datas);
};
export const markGroupItemSave = (datas) => {
  return $post("/api/admin/mark/group/save", datas);
};
export const markGroupItemUpdate = (datas) => {
  return $post("/api/admin/mark/group/update", datas);
};
export const markGroupAreaSave = (datas) => {
  return $post("/api/admin/mark/group/update_picture_config", datas);
};
export const markGroupItemDelete = (datas) => {
  return $postParam("/api/admin/mark/group/delete", datas);
};
// class
export const markClassStatusUpdate = (datas) => {
  return $postParam("/api/admin/mark/group/update_open_mark_class", datas);
};
export const markClassList = (datas) => {
  return $postParam("/api/admin/mark/class/list", datas);
};
export const markClassSave = (datas) => {
  return $post("/api/admin/mark/class/save", datas);
};
export const markClassMarkerList = (datas) => {
  return $postParam("/api/admin/mark/class/list", datas);
};
export const markClassMarkerSave = (datas) => {
  return $post("/api/admin/mark/class/save", datas);
};
export const examStructureClassListPage = (datas) => {
  // examId,paperNumber
  return $postParam("/api/admin/exam/structure/list_user_class", datas);
};

// objective question answer
export const markObjectiveQuestionList = (datas) => {
  return $postParam("/api/admin/mark/question/objective/list", datas);
};
export const markObjectiveQuestionSave = (datas) => {
  return $post("/api/admin/mark/question/objective/save", datas);
};
export const markObjectiveQuestionExport = (datas) => {
  return $postParam("/api/admin/mark/question/objective/export", datas, {
    responseType: "blob",
  });
};
// subjective question answer
export const markSubjectiveQuestionList = (datas) => {
  return $postParam("/api/admin/mark/question/subjective/get", datas);
};
export const markSubjectiveQuestionUpload = (datas) => {
  return $post("/api/admin/mark/question/subjective/upload", datas);
};

// mark manage --------->
export const markManageListPage = (datas) => {
  return $postParam("/api/admin/mark/setting/summary", datas);
};
export const markManageListExport = (datas) => {
  return $postParam("/api/admin/mark/setting/export_marker", datas, {
    responseType: "blob",
  });
};
export const markManageItemFinish = (datas) => {
  return $postParam("/api/admin/mark/paper/finish", datas);
};
// mark detail
// mark-detail-progress
export const markProgressSummary = (datas) => {
  return $postParam("/api/admin/mark/group/summary", datas);
};
export const markProgressClassListPage = (datas) => {
  return $postParam("/api/admin/mark/group/class/summary", datas);
};
export const markProgressMarkerExport = (datas) => {
  return $postParam("/api/admin/mark/setting/export_marker", datas, {
    responseType: "blob",
  });
};
// mark-detail-marker
export const markMarkerListPage = (datas) => {
  return $postParam("/api/admin/mark/marker/list", datas);
};
export const markMarkerBind = (datas) => {
  return $postParam("/api/admin/mark/marker/add", datas);
};
export const markMarkerBindList = (datas) => {
  return $postParam("/api/admin/mark/marker/list_bind_marker", datas);
};
export const markMarkerReset = (datas) => {
  return $postParam("/api/admin/mark/marker/reset", datas);
};
export const markMarkerUnbind = (datas) => {
  return $postParam("/api/admin/mark/marker/delete", datas);
};
export const markMarkerRecycle = (datas) => {
  return $postParam("/api/admin/mark/marker/release", datas);
};
export const markMarkerSetTaskCount = (datas) => {
  return $postParam("/api/admin/mark/marker/setTaskCount", datas);
};
// mark-detail-task
export const markDetailTaskListPage = (datas) => {
  return $postParam("/api/admin/mark/task/list", datas);
};
// mark-detail-reject
export const markRejectHistoryListPage = (datas) => {
  return $postParam("/api/admin/mark/reject/list", datas);
};
// mark-detail-quality
export const markQualityListPage = (datas) => {
  return $postParam("/api/admin/mark/quality/list", datas);
};
export const markQualityUpdate = (datas) => {
  return $postParam("/api/admin/mark/quality/update", datas);
};
export const markQualityChart = (datas) => {
  return $postParam("/api/admin/mark/quality/chart", datas);
};
export const markGroupQuestions = (datas) => {
  return $postParam("/api/admin/mark/group/list/groupQuestions", datas);
};
// mark-detail-issue
export const markIssueListPage = (datas) => {
  return $postParam("/api/admin/mark/problem/list", datas);
};
export const markIssueReset = (datas) => {
  return $postParam("/api/admin/mark/problem/reset", datas);
};
// mark-detail-arbitration
export const markArbitrationListPage = (datas) => {
  return $postParam("/api/admin/mark/arbitrate/list", datas);
};

// score check --------->
export const scoreCheckListPage = (datas) => {
  return $postParam("/api/admin/mark/setting/scoreList", datas);
};
export const scoreDetailListPage = (datas) => {
  return $postParam("/api/admin/mark/student/score", datas);
};
export const packageListPage = (datas) => {
  return $postParam("/api/admin/mark/paper/package/list", datas);
};
export const objectiveScoreCalculate = (datas) => {
  return $postParam("/api/admin/mark/student/objective/calculate", datas);
};
export const objectiveScoreBatchCalculate = (datas) => {
  return $postParam("/api/admin/mark/student/objective/calculate_batch", datas);
};
export const scoreDetailListExport = (datas) => {
  return $postParam("/api/admin/mark/student/score/export", datas, {
    responseType: "blob",
  });
};

// score manage --------->
export const scoreListPage = (datas) => {
  return $postParam("/api/admin/mark/archive/score/list", datas);
};
export const scoreTotalAnalysisDownload = (datas) => {
  return $postParam("/api/admin/mark/archive/score/list/export", datas, {
    responseType: "blob",
  });
};
export const scoreAllAnalysisReportDownload = (datas) => {
  return $postParam("/api/admin/mark/archive/score/download", datas, {
    responseType: "blob",
  });
};
export const scoreClassDetailListPage = (datas) => {
  return $postParam("/api/admin/mark/archive/student/list", datas);
};
export const scoreClassDetailScoreExport = (datas) => {
  return $postParam("/api/admin/mark/archive/score/export", datas, {
    responseType: "blob",
  });
};
export const scoreClassDetailScoreDownload = (datas) => {
  return $postParam("/api/admin/mark/archive/score/download", datas, {
    responseType: "blob",
  });
};
export const scoreReport = (datas) => {
  return $postParam("/api/admin/mark/archive/score/report", datas);
};
export const scoreReportExport = (datas) => {
  return $post("/api/admin/mark/archive/score/report/download", datas, {
    responseType: "blob",
  });
};
